VBA -Autocad Déplacement de texte par coordonnée

cs_JeffC1977 Messages postés 926 Date d'inscription vendredi 10 novembre 2000 Statut Membre Dernière intervention 10 septembre 2010 - 9 mars 2010 à 13:44
cs_JeffC1977 Messages postés 926 Date d'inscription vendredi 10 novembre 2000 Statut Membre Dernière intervention 10 septembre 2010 - 9 mars 2010 à 17:30
Bonjour

Est-il possible de déplacé du texte et de lui imposé une coordonnée.

En d'autres mots, j'ai du texte qui est à la coordonnée 0,0 et je veux la placer à la coordonne 10,10

Je suis capable de déplacer le texte mais si je lui mets une coordonnées, il se positionne vraiment pas là où il devrait être.

Je vous mets le bout de code que j'utilise mais c'est le code qui fonctionne pas avec les coordonnées.

merci de votre aide

 If returnString = "Non" Then
        textObj.Delete
        ActiveDocument.Regen acActiveViewport

        Set textObj = ActiveDocument.ModelSpace.AddText(textString, insertionPoint, txtHauteur.Text)
        textObj.Alignment = acAlignmentTopCenter
        textObj.TextAlignmentPoint = alignmentPoint
        textObj.Rotation = Angle - Pi
        textObj.Update

        Dim Point1(0 To 2) As Double
        Dim Point2(0 To 2) As Double

        Point1(0) 0: Point1(1) 0: Point1(2) = 0
        Point2(0) 0.6: Point2(1) -0.6: Point2(2) = 0

        textObj.Move Point1, Point2
        textObj.Update

1 réponse

cs_JeffC1977 Messages postés 926 Date d'inscription vendredi 10 novembre 2000 Statut Membre Dernière intervention 10 septembre 2010 4
9 mars 2010 à 17:30
Trouvé mettre le fichier en UCS World

ActiveDocument.SendCommand "_ucs" & vbCr & "W" & vbCr
0
Rejoignez-nous